For the complete documentation index, see llms.txt. This page is also available as Markdown.

get__v2_stats_credits

GET /v2/stats/credits

Get Credit Stats

Credit consumption/grant time-series.

Parameters

Name
In
Type
Required
Description

scope

query

string

true

Scope level: org, workspace, or repo

id

query

string

false

Required when scope is workspace or repo

window

query

string

true

Time window, e.g. 24h, 7d, 30d

timeBucketSize

query

string

false

Time grouping size, e.g., 1h, 1d

apiKeyId

query

string

false

Filter by Repo API Key ID

aiLlmId

query

string

false

Filter by AI configuration (LLM config) ID

TypeScript Client Library

// Using the Flashgate TypeScript client
import { FlashgateClient } from '@flashgatetech/flashgateclient';

const client = new FlashgateClient({
  accessToken: 'your-access-token'
});

try {
  const result = await client.getCreditStats({
    scope: 'org',
    id: 'org-id',
    window: '24h'});
  console.log('Get Credit Stats:', result);
} catch (error) {
  console.error('Failed to retrieve get credit stats:', error);
}

Code Samples

Example responses 200 Response

Responses

Status
Meaning
Description
Schema

200

Successful request

Inline

400

Invalid request parameters

Inline

500

Internal server error

Inline

Response Schema

Status Code 200

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Indicates if the request was successful

» meta

object

true

none

Metadata for the response

» summary

object

true

none

Statistical summary

» series

[object]

true

none

Array of time-series points

»» ts

integer

true

none

Unix timestamp

»» creditsAi

number

true

none

Credits consumed by AI

»» creditsStorage

number

true

none

Credits consumed by Storage

»» creditsTotal

number

true

none

Total credits consumed

»» creditsPurchased

number

true

none

Credits purchased

»» creditsGranted

number

true

none

Credits granted

Status Code 400

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Status Code 500

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Last updated

Was this helpful?